﻿using C1.WPF;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace Content_C1MessageBox
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            Thread.CurrentThread.CurrentCulture = Thread.CurrentThread.CurrentUICulture;
            Language = System.Windows.Markup.XmlLanguage.GetLanguage("de-DE");
            Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("de-DE");
            InitializeComponent();
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            C1MessageBox.Show("Sample test message", "Test caption string", C1MessageBoxButton.YesNo);

            Application.Current.Dispatcher.BeginInvoke(DispatcherPriority.Background, new Action(delegate
            {
                IList<DependencyObject> list = new List<DependencyObject>();
                VTreeHelper.GetChildrenOfType(Application.Current.MainWindow, typeof(C1Window), ref list);
                if (list != null
                    && list.Count > 0)
                {
                    C1Window mBox = (C1Window)list[0];
                    list = new List<DependencyObject>();
                    VTreeHelper.GetChildrenOfType(mBox, typeof(StackPanel), ref list);
                    if (list != null
                        && list.Count > 0)
                    {
                        StackPanel sPanel = (StackPanel)list[0];
                        list = new List<DependencyObject>();
                        VTreeHelper.GetChildrenOfType(sPanel, typeof(Button), ref list);
                        if (list.Count > 0)
                        {
                            var dstButton = list.First() as Button;
                            Application.Current.Dispatcher.BeginInvoke(DispatcherPriority.Background, new Action(() =>
                            {
                                StackPanel sp = new StackPanel();
                                sp.Orientation = Orientation.Horizontal;
                                Image img = this.Resources["imgYes"] as Image;
                                TextBlock tb = new TextBlock();
                                tb.Text = "Ja";
                                sp.Children.Add(img);
                                sp.Children.Add(tb);
                                dstButton.Content = sp;
                            }));
                            var dstButton2 = list[1] as Button;
                            Application.Current.Dispatcher.BeginInvoke(DispatcherPriority.Background, new Action(() =>
                            {
                                StackPanel sp = new StackPanel();
                                sp.Orientation = Orientation.Horizontal;
                                Image img = this.Resources["imgNo"] as Image;
                                TextBlock tb = new TextBlock();
                                tb.Text = "Nein";
                                sp.Children.Add(img);
                                sp.Children.Add(tb);
                                dstButton2.Content = sp;
                            }));
                        }
                    }
                }
            }));
        }
    }
}
